QT += qml quick widgets quickwidgets

CONFIG += c++17

# You can make your code fail to compile if it uses deprecated APIs.
# In order to do so, uncomment the following line.
#DEFINES += QT_DISABLE_DEPRECATED_BEFORE=0x060000    # disables all the APIs deprecated before Qt 6.0.0

INCLUDEPATH += CellframeNodeTray \
               CellframeNodeDiagtool

SOURCES += \
        CellframeNodeDiagtool/NotifyWorker.cpp \
        CellframeNodeTray/NodeTrayCommandController.cpp \
        main.cpp \
        CellframeNodeDiagtool/AbstractDiagnostic.cpp \
        CellframeNodeDiagtool/DiagnosticWorker.cpp

HEADERS += \
    CellframeNodeDiagtool/NotifyWorker.h \
    CellframeNodeTray/NodeTrayCommandController.h \
    CellframeNodeDiagtool/AbstractDiagnostic.h \
    CellframeNodeDiagtool/DiagnosticWorker.h

win32 {
    DEFINES += CLI_PATH=\\\"cellframe-node-cli.exe\\\"
    HEADERS += CellframeNodeDiagtool/WinDiagnostic.h \
               CellframeNodeDiagtool/registry.h
    SOURCES += CellframeNodeDiagtool/WinDiagnostic.cpp \
               CellframeNodeDiagtool/registry.c \
}

mac {
    DEFINES += CLI_PATH=\\\"./cellframe-node-cli\\\"
    HEADERS +=  CellframeNodeDiagtool/MacDiagnostic.h
    SOURCES +=  CellframeNodeDiagtool/MacDiagnostic.cpp
}

else: !win32 {
    DEFINES += CLI_PATH=\\\"/opt/cellframe-node/bin/cellframe-node-cli\\\"
    HEADERS +=  CellframeNodeDiagtool/LinuxDiagnostic.h
    SOURCES +=  CellframeNodeDiagtool/LinuxDiagnostic.cpp
}

RESOURCES += CellframeNodeTray/qml.qrc \
    CellframeNodeTray/Resources.qrc


# Additional import path used to resolve QML modules in Qt Creator's code model
QML_IMPORT_PATH =

# Additional import path used to resolve QML modules just for Qt Quick Designer
QML_DESIGNER_IMPORT_PATH =

# Default rules for deployment.
qnx: target.path = /tmp/$${TARGET}/bin
else: unix:!android: target.path = /opt/$${TARGET}/bin
!isEmpty(target.path): INSTALLS += target


DISTFILES +=
